#!/bin/bash

# user to start MUST be first in arguments 
# if not supplied then will use default
chromium_ () {
local DEFAULT=/opt/chromium
# local DEFAULT="$HOME/.local/share/chromium"
local exe="/usr/bin/chromium"
[[ ! $exe ]] && echo chromium not installed set && return 1
user=${CHROMIUM_USER}
[[ $1 && ( ! $1 == -* )  ]] && user=$1 && shift  
user=${user:-$USER}
if [[ $user == "$USER" ]]; then
  unset CHROME_CONFIG_HOME
  echo starting chromium for $USER in default directory within users home
  echo $exe "$@" 
  $exe "$@" 
 else 
  [[ $user == "incognito" ]] && set -- "$@" "-incognito"
  dir=${CHROMIUM_HOME:-$DEFAULT}
  echo "$exe $@ --user-data-dir=$dir/$user"
  "$exe" "$@" --user-data-dir="$dir"/"$user"
  fi
}

# # if script was executed then call the function
(return 0 2>/dev/null) || chromium_ $@








